#
# spec file for package ghc-concurrent-output
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%global pkg_name concurrent-output
Name:           ghc-%{pkg_name}
Version:        1.10.12
Release:        3.8
Summary:        Ungarble output from several threads or commands
License:        BSD-2-Clause
URL:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-ansi-terminal-devel
BuildRequires:  ghc-async-devel
BuildRequires:  ghc-directory-devel
BuildRequires:  ghc-exceptions-devel
BuildRequires:  ghc-process-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  ghc-stm-devel
BuildRequires:  ghc-terminal-size-devel
BuildRequires:  ghc-text-devel
BuildRequires:  ghc-transformers-devel
BuildRequires:  ghc-unix-devel
ExcludeArch:    %{ix86}

%description
Lets multiple threads and external processes concurrently output to the
console, without it getting all garbled up.

Built on top of that is a way of defining multiple output regions, which are
automatically laid out on the screen and can be individually updated by
concurrent threads. Can be used for progress displays etc.

<<https://joeyh.name/code/concurrent-output/demo2.gif>>.

%package devel
Summary:        Haskell %{pkg_name} library development files
Requires:       %{name} = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}

%description devel
This package provides the Haskell %{pkg_name} library development
files.

%prep
%autosetup -n %{pkg_name}-%{version}

%build
%ghc_lib_build

%install
%ghc_lib_install

%post devel
%ghc_pkg_recache

%postun devel
%ghc_pkg_recache

%files -f %{name}.files
%license LICENSE

%files devel -f %{name}-devel.files
%doc CHANGELOG TODO

%changelog
* Thu Dec 17 2020 Ondřej Súkup <mimi.vx@gmail.com>
- disable %%{ix86} build
* Tue Aug 18 2020 Peter Simons <psimons@suse.com>
- Replace %%setup -q with the more modern %%autosetup macro.
* Thu Jun 11 2020 psimons@suse.com
- Update concurrent-output to version 1.10.12.
  concurrent-output (1.10.12) unstable; urgency=medium
  * Bugfix: createProcessConcurrent would sometimes send the process's
    output to the console when it was supposed to be piped to a handle.
    (1.7.5 introduced this bug)
  * System.Console.Regions should be safe to use in a thread that
    receives async exceptions; displayConsoleRegions and withConsoleRegion
    have been made async exception safe.
    (However, System.Console.Concurrent is not async exception safe.)
  * Improve documentation about when withConcurrentOutput should be used.
  * Remove some unused code.
  * Allow building with older ansi-terminal versions, not only 0.9+.
  - - Joey Hess <id@joeyh.name>  Wed, 10 Jun 2020 17:22:39 -0400
* Tue Jun  9 2020 psimons@suse.com
- Add concurrent-output at version 1.10.11.
